gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Interfaces.DtlsServerConnection

Contents

- Exported types
- Methods
  - new
- Properties
  - authenticationMode

Description

`GDtlsServerConnection` is the server-side subclass of `DtlsConnection`, representing a server-side DTLS connection.

Since: 2.48

Synopsis

- newtype DtlsServerConnection = DtlsServerConnection (ManagedPtr DtlsServerConnection)
- class (GObject o, IsDescendantOf DtlsServerConnection o) => IsDtlsServerConnection o
- toDtlsServerConnection :: (MonadIO m, IsDtlsServerConnection o) => o -> m DtlsServerConnection
- dtlsServerConnectionNew :: (HasCallStack, MonadIO m, IsDatagramBased a, IsTlsCertificate b) => a -> Maybe b -> m DtlsServerConnection
- constructDtlsServerConnectionAuthenticationMode :: (IsDtlsServerConnection o, MonadIO m) => TlsAuthenticationMode -> m (GValueConstruct o)
- getDtlsServerConnectionAuthenticationMode :: (MonadIO m, IsDtlsServerConnection o) => o -> m TlsAuthenticationMode
- setDtlsServerConnectionAuthenticationMode :: (MonadIO m, IsDtlsServerConnection o) => o -> TlsAuthenticationMode -> m ()

# Exported types

newtype DtlsServerConnection Source #

Memory-managed wrapper type.

Constructors

DtlsServerConnection (ManagedPtr DtlsServerConnection) |

#### Instances

Instances details

Eq DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection Methods (==) :: DtlsServerConnection -> DtlsServerConnection -> Bool Source # (/=) :: DtlsServerConnection -> DtlsServerConnection -> Bool Source #
GObject DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection
ManagedPtrNewtype DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection Methods toManagedPtr :: DtlsServerConnection -> ManagedPtr DtlsServerConnection Source #
TypedObject DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection Methods glibType :: IO GType Source #
HasParentTypes DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection
IsGValue (Maybe DtlsServerConnection) Source # | Convert `DtlsServerConnection` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe DtlsServerConnection -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe DtlsServerConnection) Source #
type ParentTypes DtlsServerConnection Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection type ParentTypes DtlsServerConnection = '[DatagramBased, DtlsConnection, Object]

class (GObject o, IsDescendantOf DtlsServerConnection o) => IsDtlsServerConnection o Source #

Type class for types which can be safely cast to `DtlsServerConnection`, for instance with `toDtlsServerConnection`.

#### Instances

Instances details

(GObject o, IsDescendantOf DtlsServerConnection o) => IsDtlsServerConnection o Source # |
Instance details Defined in GI.Gio.Interfaces.DtlsServerConnection

toDtlsServerConnection :: (MonadIO m, IsDtlsServerConnection o) => o -> m DtlsServerConnection Source #

Cast to `DtlsServerConnection`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, close, closeAsync, closeFinish, conditionCheck, conditionWait, createSource, emitAcceptCertificate, forceFloating, freezeNotify, getv, handshake, handshakeAsync, handshakeFinish, isFloating, notify, notifyByPspec, receiveMessages, ref, refSink, runDispose, sendMessages, shutdown, shutdownAsync, shutdownFinish, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getCertificate, getChannelBindingData, getCiphersuiteName, getData, getDatabase, getInteraction, getNegotiatedProtocol, getPeerCertificate, getPeerCertificateErrors, getProperty, getProtocolVersion, getQdata, getRehandshakeMode, getRequireCloseNotify.

#### Setters

setAdvertisedProtocols, setCertificate, setData, setDataFull, setDatabase, setInteraction, setProperty, setRehandshakeMode, setRequireCloseNotify.

## new

dtlsServerConnectionNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsDatagramBased a, IsTlsCertificate b) |
=> a | `baseSocket`: the `DatagramBased` to wrap
-> Maybe b | `certificate`: the default server certificate, or `Nothing`
-> m DtlsServerConnection | Returns: the new `DtlsServerConnection`, or `Nothing` on error (Can throw `GError`)

Creates a new `DtlsServerConnection` wrapping `baseSocket`.

Since: 2.48

# Properties

## authenticationMode

The `TlsAuthenticationMode` for the server. This can be changed before calling `dtlsConnectionHandshake` if you want to rehandshake with a different mode from the initial handshake.

Since: 2.48

constructDtlsServerConnectionAuthenticationMode :: (IsDtlsServerConnection o, MonadIO m) => TlsAuthenticationMode -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`authentication-mode`” property. This is rarely needed directly, but it is used by `new`.

getDtlsServerConnectionAuthenticationMode :: (MonadIO m, IsDtlsServerConnection o) => o -> m TlsAuthenticationMode Source #

Get the value of the “`authentication-mode`” property. When overloading is enabled, this is equivalent to

    get dtlsServerConnection #authenticationMode

setDtlsServerConnectionAuthenticationMode :: (MonadIO m, IsDtlsServerConnection o) => o -> TlsAuthenticationMode -> m () Source #

Set the value of the “`authentication-mode`” property. When overloading is enabled, this is equivalent to

    set dtlsServerConnection [ #authenticationMode := value ]